<?php

namespace plugin\cms\model;

use think\admin\Model;

class CmsThumb extends Model
{
    protected $append = ['imgs_arr'];
    public function like()
    {
        return $this->hasMany(CmsThumbLike::class, 'thumb_id', 'id');
    }

    public function scopePublished($query)
    {
        $query->where(['status' => 1])->where(['is_audit' => 1])->where('publish_at', '<=', date('Y-m-d H:i:s'));
    }

    public function getImgsArrAttr($value, $data)
    {
        return str2arr($data['images']);
    }
}