<?php

namespace plugin\points_mall\model;

use plugin\account\model\PluginAccountBind;
use think\admin\Model;

class PointsMallUserPoint extends Model
{
    protected $pk = 'uid';

    public function log()
    {
        return $this->hasMany(PointsMallUserPointLog::class, 'uid');
    }

    public function user()
    {
        return $this->belongsTo(PluginAccountBind::class, 'uid');
    }
}