<?php

namespace plugin\ticket\model;

use think\admin\Model;
use think\admin\model\SystemUser;

class TicketReply extends Model
{
    protected $append = ['type_name'];
    public function ticket()
    {
        return $this->belongsTo(TicketTicket::class, 'ticket_id');
    }

    public function user()
    {
        return $this->belongsTo(SystemUser::class, 'user_id');
    }

    public function getTypeNameAttr($value, $data)
    {
        switch ($data['type']) {
            case 0: return '流转';
            case 1: return '回复';
            case 9: return '退回';
            default: return '其他';
        }
    }

}