<?php

namespace plugin\cms\controller\api;

use plugin\account\controller\api\Auth as AuthController;
use think\exception\HttpResponseException;

class Auth extends AuthController
{
    /**
     * 控制器初始化
     * @return void
     */
    protected function initialize()
    {
        try {
            parent::initialize();
            $this->checkUserStatus(false);
        } catch (HttpResponseException $exception) {
            throw $exception;
        } catch (\Exception $exception) {
            $this->error($exception->getMessage());
        }
    }
}